%define		name	gnupg-pkcs11-scd
%define		version	0.04
%define		release	1
%define		prefix	/usr

Summary:	GnuPG-compatible smart-card daemon with PKCS#11 support
Name:		%{name}
Version:	%{version}
Release:	%{release}%{dist}
License:	BSD
Packager:	Eddy Nigg <eddy_nigg@startcom.org>
Group:		System/Crypto
Url:		http://gnupg-pkcs11.sourceforge.net
Source:		http://downloads.sourceforge.net/gnupg-pkcs11/%{name}-%{version}.tar.bz2
BuildRoot:	/var/tmp/%{name}-%{version}-%{release}
BuildRequires:	openssl-devel >= 0.9.7a
BuildRequires:	pkcs11-helper-devel >= 1.03
BuildRequires:	libassuan-devel
BuildRequires:	libgcrypt-devel
Requires:	openssl >= 0.9.7a
Requires:	pkcs11-helper >= 1.03
Requires:	libassuan
Requires:	libgcrypt
Provides:	%{name} = %{version}

%description
gnupg-pkcs11-scd is a drop-in replacement for the smart-card daemon (scd) shipped with the
next-generation GnuPG (gnupg-2). The daemon interfaces to smart-cards
by using RSA Security Inc. PKCS#11 Cryptographic Token Interface (Cryptoki).

%prep
%setup -q

%build
%configure -q \
 --disable-rpath

make %{?_smp_mflags}

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%makeinstall

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/*
%{_docdir}/%{name}/*

%changelog
* Tue Apr 24 2007 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild new version 0.04

* Mon Jan 15 2007 Eddy Nigg <eddy_nigg@startcom.org>
- Build new version 0.03

* Mon Dec 11 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Change config example to leave in the doc dir
- Remove gnutls dependency

* Mon Dec 4 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Fix dependencies, cleanup.
